import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Diese Klasse stellt einen Frosch zur Verfgung. Dieser kann nur das, was alle Tiere
 * knnen (geerbte Methoden), nmlich vorwrts bewegen, drehen, schauen, ob ein Objekt 
 * (Baum, Pilz, Kleeblatt oder Kara) in der Nhe ist und es ggf. fressen.
 * 
 * @author Daniel Garmann
 * @version 26.08.2009
 */
public class Frog  extends Tier
{
    private int counter = 50;
    private int direction = 1;
    /**
     * Act - Hier muss nun das konkrete Verhalten des Frosches implementiert werden.
     * Der Frosch luft im Kreis und frisst Karas, wenn er drauf steht.
     */
    public void act() 
    {
        counter--;
        turn(direction);
        if (counter == 0) {
            counter = Greenfoot.getRandomNumber(50);
            direction = Greenfoot.getRandomNumber(3)-1;
        }
        move(2);           
        if (onKara()) {
            eat(Kara.class);
            Greenfoot.stop();
        }
    }    
    
    /**
     * Prfen, ob der Frosch auf Kara sitzt, oder nicht
     * @return true, falls der Frosch auf Kara sitzt, andernfalls false.
     */              
    public boolean onKara() {
        if (canSee(Kara.class)) {
            return true;
        } else {
            return false;
        }
    }
}
